The UserSignatures resource provides methods that allow you manage the initials and signature images for a user.
Methods supported
| Method | Description |
|---|---|
| create | POST /restapi/v2.1/accounts/{accountId}/users/{userId}/signaturesAdds user Signature and initials images to a Signature. |
| delete | DEL /restapi/v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}Removes removes signature information for the specified user. |
| deleteImage | DEL /restapi/v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}/{imageType}Deletes the user initials image or the user signature image for the specified user. |
| get | GET /restapi/v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}Gets the user signature information for the specified user. |
| getImage | GET /restapi/v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}/{imageType}Retrieves the user initials image or the user signature image for the specified user. |
| list | GET /restapi/v2.1/accounts/{accountId}/users/{userId}/signaturesRetrieves a list of signature definitions for a user. |
| update | PUT /restapi/v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}Updates the user signature for a specified user. |
| updateImage | PUT /restapi/v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}/{imageType}Updates the user signature image or user initials image for the specified user. |
| updateList | PUT /restapi/v2.1/accounts/{accountId}/users/{userId}/signaturesAdds/updates a user signature. |
UserSignatures properties
| Property | Type | Description |
|---|---|---|
adoptedDateTime | string | The date and time the user adopted their signature. |
createdDateTime | string | The UTC date and time when the user created the signature. |
customField | string | Serialized information about any custom eHanko stamps that have been ordered from an eHanko provider, including the order status, purchase order id, time created, and time modified. |
dateStampProperties | dateStampProperties | Specifies the area in which a date stamp is placed. This parameter uses pixel positioning to draw a rectangle at the center of the stamp area. The stamp is superimposed on top of this central area. This property contains the following information about the central rectangle:
|
disallowUserResizeStamp | string | When true, users may not resize the stamp. |
errorDetails | errorDetails | This object describes errors that occur. It is only valid for responses and ignored in requests. |
externalID | string | An external ID for the signature or stamp. Note: If a recipient uses a stamp instead of a signature, this is the stamp vendor’s serial number for the stamp. |
imageBase64 | string | A Base64-encoded representation of the signature image. |
imageType | string | The format of the signature image, such as:
|
initials150ImageId | string | The ID of the user’s initials image. |
initialsImageUri | string | The URI for retrieving the image of the user’s initials. |
isDefault | string | Boolean that specifies whether the signature is the default signature for the user. |
lastModifiedDateTime | string | The UTC date and time when the signature was last modified. |
nrdsId | string | The National Association of Realtors (NAR) membership ID for a user who is a realtor. |
nrdsLastName | string | The realtor’s last name. |
nrdsStatus | string | The realtor’s NAR membership status. The value active verifies that the user is a current NAR member. Valid values are:
|
phoneticName | string | The phonetic spelling of the signatureName. |
signature150ImageId | string | The ID of the user’s signature image. |
signatureFont | string | The font type for the signature, if the signature is not drawn. The supported font types are: “7_DocuSign”, “1_DocuSign”, “6_DocuSign”, “8_DocuSign”, “3_DocuSign”, “Mistral”, “4_DocuSign”, “2_DocuSign”, “5_DocuSign”, “Rage Italic” |
signatureId | string | The ID associated with the signature name. You can use this property in the URI in place of the signature name. This enables the use of special characters (such as ”&”, ”<”, and ”>”) in a signature name. Note: When you update a signature, its signature ID might change. In that case you need to use signatureName to get the new signatureId. |
signatureImageUri | string | An endpoint URI that you can use to retrieve the user’s signature image. |
signatureInitials | string | The initials associated with the signature. |
signatureName | string | Specifies the user’s signature name. |
signatureRights | string | The rights that the user has to the signature. Valid values are:
|
signatureType | string | Specifies the type of signature. Possible values include:
|
stampFormat | string | The format of a stamp. Valid values are:
|
stampImageUri | string | The URI for retrieving the image of the user’s stamp. |
stampSizeMM | string | The physical height of the stamp image (in millimeters) that the stamp vendor recommends for displaying the image in PDF documents. |
stampType | string | The type of stamp. Valid values are:
|
status | string | Indicates the envelope status. Valid values are:
|